import React from 'react';
import ReactDOM from 'react-dom';
import { loadData } from './loadData';
import { CountryMap } from './countryMap';

/* Defining the width and height of the map */

const width = 1000;
const height = 600;

/* Loading the data from load.js file */

const App = () => {
  const data = loadData();

  if (!data) {
    return <pre>Loading data...</pre>;
  }

/* Displaying the country map*/
  
  return (
    <svg width={width} height={height}>
      <CountryMap data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
